Commit eadbd011 authored by Guido Gunther's avatar Guido Gunther

Add helper to fetch imx firmware

parent c5ad1cb1
#!/bin/bash
set -e
URL_BASE=https://www.nxp.com/lgfiles/NMG/MAD/YOCTO/
FIRMWARE=firmware-imx-8.7.bin
function cleanup()
{
[ -z "${DLDIR}" ] || rm -rf "${DLDIR}"
}
trap cleanup EXIT
if [ -z "$1" ]; then
echo "No output dir given" 1>&2
exit 1
fi
OUT=$1
DLDIR=$(mktemp -d)
cd "${DLDIR}"
wget "${URL_BASE}/${FIRMWARE}"
chmod +x "${FIRMWARE}"
./"${FIRMWARE}" --auto-accept
cd -
for f in ddr/synopsys/lpddr4_pmu_train_?d_?mem.bin hdmi/cadence/signed_*_imx8m.bin; do
cp -v ${DLDIR}/$(basename "${FIRMWARE}" .bin)/firmware/$f "${OUT}"
done
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment